Update submodule hpc
ClosedPublic

Authored by thomie on Mar 5 2015, 3:08 PM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
thomie updated this revision to Diff 2363.Mar 5 2015, 3:08 PM
thomie retitled this revision from to Update submodule hpc.
thomie updated this object.
thomie edited the test plan for this revision. (Show Details)
thomie updated the Trac tickets for this revision.
thomie added a subscriber: thomie.
austin accepted this revision.Mar 6 2015, 12:25 PM
austin edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Mar 6 2015, 12:25 PM
thomie updated this revision to Diff 2367.Mar 6 2015, 12:27 PM
thomie edited edge metadata.

Validate

austin requested changes to this revision.Mar 6 2015, 12:27 PM
austin edited edge metadata.

Ugh, wait, actually - can we not use nub? Can hpc not depend on containers? I know this is annoying, but some packages have hundreds of modules in them, and we always get complaints about nub, so can we just nip it in the bud?

This revision now requires changes to proceed.Mar 6 2015, 12:27 PM
In D704#19654, @austin wrote:

Can hpc not depend on containers?

To be read as: is there any reason we can't use nub from containers, or if not, just roll our own nubSort?

thomie added a comment.Mar 6 2015, 2:03 PM

Good point. Please check this version without nub.

thomie updated this revision to Diff 2372.Mar 6 2015, 2:04 PM
thomie edited edge metadata.

Validate

austin accepted this revision.Mar 6 2015, 2:10 PM
austin edited edge metadata.

LGTM

This revision is now accepted and ready to land.Mar 6 2015, 2:10 PM
thomie planned changes to this revision.Mar 7 2015, 4:49 AM

Needs an another update to the testframework first.

thomie updated this revision to Diff 2405.Mar 9 2015, 2:09 PM
thomie edited edge metadata.

Simplify test

This revision is now accepted and ready to land.Mar 9 2015, 2:09 PM
This revision was automatically updated to reflect the committed changes.